OLD VERSION DOWNLOADS

Please note that Exponential Audio plugins require the new iLok License Manager and iLok2. Software downloads contain documentation.  If you have difficulty downloading, please right-click on the item.

This page links to older releases of Exponential Audio plugins.  Not all older versions will remain available. The oldest versions will be periodically removed.  If you need the latest versions of the plugins, click here. Please do not request support for older versions.  The problems you encounter may have been fixed in the most recent version.

STEREO PLUGINS

Macintosh (10.6. 10.7, 10.8, 10.9)

Windows (Vista, Win7, Win8)

Please uninstall any previous version first.


M7CONTROL PLUG-IN

Macintosh (10.6 and up)

These include AAX, AU, VST and VST3

Windows (Win7 and up)

These include VST and VST3


SURROUND PLUGINS

Macintosh (10.6, 10.7, 10.8, 10.9)

Windows (Vista, Win7, Win8)

Please uninstall any previous version first. 

DMCA Enforced